package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Rejected;
import com.realnet.vpspack.Services.RejectedService ;














@RequestMapping(value = "/Rejected")
 @CrossOrigin("*") 
@RestController
public class RejectedController {
	@Autowired
	private RejectedService Service;

@Value("${projectPath}")
	private String projectPath;
 














	@PostMapping("/Rejected")
		  public Rejected Savedata(@RequestBody Rejected data) {
		Rejected save = Service.Savedata(data)	;













		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Rejected/{id}")
	public  Rejected update(@RequestBody Rejected data,@PathVariable Integer id ) {
		Rejected update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Rejected/getall/page")
	public Page<Rejected> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Rejected> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Rejected")
	public List<Rejected> getdetails() {
		 List<Rejected> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Rejected")
	public List<Rejected> getallwioutsec() {
		 List<Rejected> get = Service.getdetails();		
		return get;
}
@GetMapping("/Rejected/{id}")
	public  Rejected  getdetailsbyId(@PathVariable Integer id ) {
		Rejected  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Rejected/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}















}